%define name	mxp
%define version	1.2
%define release	6mdk

Name: 		%{name}
Summary: 	An X based Mandelbrot set generator and explorer.
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Graphics
BuildRequires: 	Xaw3d-devel XFree86 XFree86-devel gcc
Source: 	ftp://sunsite.unc.edu/pub/linux/apps/math/fractals/%{name}-%{version}.tar.bz2
Url:		ftp://sunsite.unc.edu/pub/linux/apps/math/fractals
Patch: 		mxp-1.2-imake.diff.bz2
Patch1: 	mxp-1.0-xf4.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
The mxp (Mandelbrot explorer) program is an X Window System
application for computing and exploring Mandelbrot sets.  Mxp
supports zoom/un-zoom, dynamic resizing of drawing windows, setup
save/load, asynchronous image generation, GIF outputs, animation,
nine color schemes, color rotation, color change options, and
detailed statistics.

Install the mxp package if you need a Mandelbrot set generator for
the X Window System.

%prep
%setup -q -n mxp
%patch -p1
%patch1 -p0

%build
xmkmf
%make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
%make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/mxp

%changelog
* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2-6mdk
- BuildRequires

* Mon Nov 12 2001 Yves Duret <yduret@mandrakesoft.com> 1.2-5mdk
- rebuild for sir rpmlint

* Fri Oct 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.2-4mdk
- BuildRequires: Xaw3d-devel

* Tue Aug 07 2001 Yves Duret <yduret@mandrakesoft.com> 1.2-3mdk
- rebuild

* Wed May  2 2001 Yves Duret <yduret@mandrakesoft.com> 1.2-2mdk
- clean up spec file
- macros %%make
- s{Copyright}{License}

* Wed Dec 20 2000 Yves Duret <yduret@mandrakesoft.com> 1.2-1mdk
- updated to 1.2

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0-8mdk
- automatically added BuildRequires

* Fri Aug 04 2000 Geoffrey Lee <snailtalk@mandrakesot.com> 1.0-7mdk
- very minor macrosifications :)

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 1.0-6mdk
- Imake bugfix for XFree86-4.0

* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Mon Nov 29 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- update source URL

* Wed May 05 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 11)

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Oct 21 1997 Cristian Gafton <gafton@redhat.com>
- updated the source url

* Mon Jul 21 1997 Erik Troan <ewt@redhat.com>
- built against glibc
